@echo off
rem usage: PWLOAD project [-lptN]

if not X%1 == X goto parm_ok1
echo usage: PWLOAD project [-lptN] [-xNNN]    (reloads firmware)
echo        PWLOAD erase [-lptN]              (erases firmware)
goto finis
:parm_ok1

if X%1 == Xerase goto erase

if not exist %PWDEV%\lib\breadboard goto not_bb
echo -------------------------------------------------------------------------
echo  Error: PicoWeb breadboard requires two-step download process!!!
echo  ======
echo  (1) Attach programming cable
echo  (2) Run "pwavrld"
echo  (3) Remove programming cable
echo  (4) Run "pwnetld"
echo -------------------------------------------------------------------------
goto abort
:not_bb

call %PWDEV%\bin\pwavrld.bat %1 %2 %3 %4
if errorlevel 1 goto abort
call %PWDEV%\bin\pwnetld.bat %1 %2 %3 %4
if errorlevel 1 goto abort
goto done

:erase
%PWDEV%\bin\avr %2 %3 %4 -ce
if errorlevel 1 goto abort
goto

:abort
echo Aborted!
goto finis

:done
echo.Done.
:finis

