;-------------------------------------------------------------------------
; Copyright (c) 1999 Steven Freyder, David Helland, and Bruce D. Lightner.
; Use subject to licensing restrictions described in "PICOWEB SERVER
; SOFTWARE LICENSE AGREEMENT DATED JULY 14, 1999" (See file LICENSE.txt).
;-------------------------------------------------------------------------
;+
; **-phexbi-pcode hex byte immediate.
;
; inputs:
;   r10l    = byte to display
;
; outputs:
;   two digit hex value printed via equivalent of pputc.
;-
.text
    .global phexbi
phexbi: pcode_routine 1
    mov     ch,r10l
;
; **-do_hexb-output i0 in hex.
;
    .global do_hexb
do_hexb:    export
    push    ch
    push    r16
    mov     r16,i0
    lsr     r16
    lsr     r16
    lsr     r16
    lsr     r16
    rcall   hex1
    mov     r16,i0
    rcall   hex1
    pop     r16
    pop     ch
    ret
hex1:
    andi    r16,0x0f
    subi    r16,-'0'
    cpi     r16,'9'+1
    brlt    hexo
    subi    r16,-('A'-'0'-10)
hexo:
    mov     ch,r16
    rcall   do_putchar
    ret
