;-------------------------------------------------------------------------
; Copyright (c) 1999 Steven Freyder, David Helland, and Bruce D. Lightner.
; Use subject to licensing restrictions described in "PICOWEB SERVER
; SOFTWARE LICENSE AGREEMENT DATED JULY 14, 1999" (See file LICENSE.txt).
;-------------------------------------------------------------------------
;+
; **-pprintt-pcode print bytes from current transmit buffer with label.
;
; inputs:
;   r10 -> label or NULL if none
;   r12 = start address offset from current transmit buffer
;   r14 = byte count
;-
.text
    .global pprintt
pprintt: pcode_routine 3|NO_P1_IND
    lds r20h,xmit_page
    clr r20l
    rjmp printrt

;+
; **-pprintr-pcode print bytes from current receive buffer with label.
;
; inputs:
;   r10 -> label or NULL if none
;   r12 = start address offset from current receive buffer
;   r14 = byte count
;-

    .global pprintr
pprintr: pcode_routine 3|NO_P1_IND
    lds r20h,curr_recv              ; current receive frame
    ldi r20l,en_rbuf_nhdr           ;  plus offset to start of packet
printrt:
    movwi z,CODEP(printb_word)
printr1:
    rcall outstr_r10
    putchar '='
    add r20l,r12l
    adc r20h,r12h                   ; add desired offset
    movw r18,r14
    tstbi r18l,1
    breq pb_even
    incw r18
pb_even:
    rjmp ne_rstart
printb_word:
    hexb
    rcall decw_r14
    breq printb_word1
    mov i0,i1
    hexb
    rcall decw_r14
printb_word1:
    ret
