CFLAGS1=/DGCC_INCLUDE_DIR="\"/usr/include\"" /DPREFIX="\"_dummy_\""
CFLAGS2=/DUSE_PROTOTYPES /Iconfig /DOUTPUT_LINE_COMMANDS
CFLAGS=$(CFLAGS1) $(CFLAGS2)
OBJS1=cppmain.obj cppalloc.obj cpphash.obj cpperror.obj
OBJS2=prefix.obj version.obj alloca.obj
OBJS_CPP=$(OBJS1) $(OBJS2) cppexp.obj cpplib.obj
OBJS_CPPCPP=$(OBJS1) $(OBJS2) cppexpc.obj cpplibc.obj
LIBS=advapi32.lib
CC=\msdev\bin\cl

all:    cpp.exe cppcpp.exe
	copy cppcpp.exe ..\bin

.c.obj:
	$(CC) /c $(CFLAGS) $*.c

prefix.obj: prefix.c
	$(CC) /c $(CFLAGS) /D__STDC__ $*.c

cppexpc.obj:	cppexp.c
	$(CC) /c $(CFLAGS) -DCPPCPP /Focppexpc $**

cpplibc.obj:	cpplib.c
	$(CC) /c $(CFLAGS) -DCPPCPP /Focpplibc $**

cpp.exe:   $(OBJS_CPP)
	\msdev\bin\cl /Fecpp.exe $(OBJS_CPP) $(LIBS)

cppcpp.exe:   $(OBJS_CPPCPP)
	\msdev\bin\cl /Fecppcpp.exe $(OBJS_CPPCPP) $(LIBS)

clean:
	del *.obj
